{
  "name": "@edu/shared-ts",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "exports": {
    "./outbox": {
      "types": "./src/outbox/index.ts",
      "default": "./src/outbox/index.ts"
    }
  },
  "scripts": {
    "lint": "eslint src",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@nestjs/common": "^10.4.0",
    "@nestjs/core": "^10.4.0",
    "@paralleldrive/cuid2": "^2.2.2",
    "drizzle-orm": "^0.31.0",
    "kafkajs": "^2.2.0",
    "pino": "^9.4.0",
    "reflect-metadata": "^0.2.2",
    "rxjs": "^7.8.0"
  },
  "devDependencies": {
    "@types/node": "^22.0.0",
    "typescript": "^5.6.0"
  }
}
